List Usage
curl --request GET \
--url https://api.withterminal.com/tsp/v1/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.withterminal.com/tsp/v1/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withterminal.com/tsp/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"connection": "conn_01GV12VR4DJP70GD1ZBK0SDWFH",
"vehicle": "vcl_01D8ZQFGHVJ858NBF2Q7DV9MNC",
"backfillUnitCount": 2
}
],
"next": "<string>"
}{
"code": "bad_request",
"message": "Invalid request body",
"detail": [
{
"message": "'vehicleId' property must be a valid ulid",
"path": "{requestQuery}.vehicleId",
"suggestion": "Please ensure you submit a valid 'vehicleId' property",
"context": {}
}
]
}{
"code": "unauthorized",
"message": "Unauthorized Request",
"detail": "Please ensure you have a valid API key"
}{
"code": "forbidden",
"message": "Forbidden Request",
"detail": "Please ensure the connection token matches the resource you are attempting to access."
}{
"code": "too_many_requests",
"message": "Too Many Requests",
"retryAfter": 60,
"detail": "You have exceeded your rate limit. Please try again later."
}{
"code": "internal_server_error",
"message": "Internal Server Error",
"detail": "Something went wrong"
}{
"code": "gateway_timeout",
"message": "Gateway Timeout"
}List Usage
List billable vehicle and backfill usage for an application by ISO month.
GET
/
usage
List Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Scopes the request to a Terminal application in the caller's organization. Required for multi-application organizations when using a user session or OAuth access token. API keys are already bound to a single application.
Query Parameters
ISO month to retrieve usage for, in YYYY-MM format. ISO month in YYYY-MM format
Pattern:
^\d{4}-(0[1-9]|1[0-2])$Example:
"2025-08"
Pagination cursor to start requests from
Example:
"cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw"
⌘I